Subject: Re: [X2Go-Dev] Bug#725: client-side printing terminates X2Go Client (+ running session) in certain cases

From: Mike Gabriel <[email-masked]>
Date: Thu, 08 Jan 2015 22:01:56 +0000

Control: forcemerge #702 -1

On  Do 08 Jan 2015 16:09:32 CET, Mike Gabriel wrote:

> Package: x2goclient
> Severity: grave
> Tag: patch
>
> I have just found a patch for X2Go upstream bug #702 [1]:
>
> What I do:
> ==========
>
>  o I launch an X2Go session with X2Go Client, client-side printing  
> support is enabled
>  o I minimize X2Go Client to the systray icon
>  o I configure X2Go Client to show the print dialog window on  
> incoming print jobs
>  o I print a document inside the X2Go session
>
>
> What happens:
> =============
>
> The print dialog window appears. I select "Print"...
>
> X2Go Client simply exits cleanly immediately when I click the Print  
> button of the print dialog window.
>
> The issue occurs in this combination of events:
>
>   o print dialog appears on incoming print job
>   o it doesn't matter what print action is chosen
>     (pdfview, pdfsave, print, etc.)
>   o X2Go Client's main window is hidden (e.g.
>     via clicking on the tray icon)
>
> What should happen:
> ===================
>
> The incoming print job should get shown as PDF or printed (whatever  
> I chose in the print dialog window). The print dialog window should  
> disappear, my remote X2Go session should continue...
>
>
> The issue is related to this:
> =============================
>
> http://stackoverflow.com/questions/5116459/problem-with-hidden-qmainwindow-application-crashes-after-qmessagebox-is-displa
>
> The related upstream patch is this:
> ===================================
>   http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=3008b2a
>
>
> I am still waiting for feedback from another upstream dev, once it  
> is there, I will fix the issue in the x2goclient src:package in  
> Debian unstable and hopefully testing (jessie).
>
> Mike
>
> [1] http://bugs.x2go.org/702

argghhh... this bug report was supposed for the x2goclient package in  
Debian and thus should have gone to [email-masked]...

I just resent it and merge this one with #702.

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb